이 전환 기간 (JavaEE => Jarkarta EE)는 너무 혼란스럽습니다 … 바인딩 사용자 지정을 사용하지 않고도 이름 충돌을 자동으로 해결합니다. BTW 당신의 *.xsd 및 *.wsdl 파일은 리소스 디렉토리 아래에 있어야합니다. 참고 : soapheader 메서드를 호출해야하지만 axis2 jar을 사용하지 않으려고합니다. 가능한 것이 있습니까? trecloux, nickbuc1, 죄송합니다, 나는 당신의 메시지를 더 빨리 볼 수 없습니다. 바라건대 당신은 이미 해결책을 찾았습니다. 요약하면, 아래는 나를 위해 2.3.1에서 wsimport를 만들기 위해 한 일입니다. 그러나 이러한 해결 방법을 유의하시기 바랍니다. 나는 메이븐 리포지토리에서 사용할 수있는 메트로 jax-ws의 새로운 버전을 기다릴 것입니다. Q: 생성된 웹 서비스 메서드 호출을 래퍼 스타일에서 래퍼 스타일이 아닌 것으로 전환하거나 그 반대의 경우도 마찬가지입니까? com.helger.maven:jaxws-maven-plugin:2.6 OpenJDK 11와 함께 우리를 위해 작동 하 고 우리는 com.sun.xml.ws까지 그것을 사용 하는:jaxws-maven-플러그인:2.3.2 출시. wsdl 버전을 지정합니다.

기본값은 WSDL1.1입니다. 현재 WSDL1.1 버전만 을 지원합니다. . 형식 개체를 ehcache에 넣어야합니다. 그래서 유형 개체에서 equals() 및 해시 코드()를 구현해야합니다 실제로, 나는 동일한 groupId가 자바 프로젝트의 플러그인에 사용되는 것을 볼 수 있습니다 (적어도 마스터 분기에서). . @lukasj com.sun.xml.ws:jaxws-maven-plugin:2.3.2 https://oss.sonatype.org/content/groups/staging/com/sun/xml/ws/jaxws-maven-plugin/2.3.2/ OSS 소나타입 스테이징이나 메이븐 센트럴에서 사용할 수 없는 종속성이 필요합니다. 의 목표 com.sun.xml.ws:jaxws-maven-plugin:2.3.2:wsimport 실패: 플러그인 com.sun.xml.ws:jaxws-maven-플러그인:2.3.2 또는 그 종속성 중 하나를 해결할 수 없습니다: 다음 아티팩트를 해결할 수 없습니다: org.jvnet.staxex:1.ex.xtax:1:. com.sun.xml.stream.buffer:streambuffer:jar:1.5.7, org.jvnet.mimepull:mimepull:jar:1.9.11, com.sun.xml.fastinfoset:FastInfoset:jar:1.2.16 와 JAX-WS RI 2.3.1, 클라이언트와 웹 서비스는 자바의 플랫폼에 큰 이점을 가지고 있습니다. 프로그래밍 언어. 프런트 엔드를 지정합니다.

기본값은 JAXWS입니다. 현재 JAXWS 프런트 엔드와 “jaxws21” 프런트 엔드만 지원하여 JAX-WS 2.1 호환 코드를 생성합니다. @t-d-chen 감사합니다, 실제로 도움이. 그러나, 난 당신이 설명 한 대로 일을 할 수 없습니다. 예를 들어 메이븐 센트럴에서 사용할 수없는 requited 종속성 때문에 https://github.com/javaee/metro-jax-ws jaxws-maven 플러그인이나 전체 메트로 jax-ws를 구축 할 수 없었습니다 (그러나 com.sun.에서 종속성을 변경 한 후 jaxws-tools 번들을 구축 할 수있었습니다.) xml.ws:wscompile:2.3.1-SNAPSHOT to com.sun.xml.ws:wscompile:2.3.1 in metro-jax-ws/jaxws-ri/bundles/jaxws-tools/jaxws-tools-bundle/pom.xml).

  • By: normaali
  • In: Uncategorized
  • Under: